pub mod spoticord_api {
    pub mod service {
        include!(concat!(env!("OUT_DIR"), "/spoticord_api.service.rs"));
    }
}

#[cfg(test)]
mod test {
    use crate::spoticord_api::service::{PlayModes, PlayPlaylistRequest};

    #[test]
    fn test_build_play_playlist() {
        let play_playlist = PlayPlaylistRequest {
            order: PlayModes::InOrder.into(),
            playlist_uri: "test".to_string(),
        };

        assert_eq!(play_playlist.playlist_uri, "test");
        assert_eq!(play_playlist.order, PlayModes::InOrder.into());
    }
}
